Subject: [Pce] 答复: Working Group last call on draft-ietf-pce-stateful-hpce-06

From: "Zhenghaomian (Zhenghaomian, Optical Technology Research Dept)" <[email-masked]>
Date: Mon, 1 Apr 2019 07:38:55 +0000

Hi, WG, 

I have read this document and believe this work is very useful. Stateful H-PCE will enable a more efficient way to do the computation with a group of PCEs. The document is in a good shape as well. 

I support to move forward on this document, some minor comments are provided to be fixed after the LC: 
- The page number in ToC is not consistent, maybe an update on word would be needed; 
- PCEP stateful extension in RFC8231, and PCEP initiation extension in RFC8281, are usually considered as two separate works. Given the fact we have merged the gmpls extension with two features, it is reasonable to have these two features in the h-pce work as well. I noticed there is corresponding descriptions in section 3.3, and I think it would be useful if one sentence can be summarized in the abstract. 

OLD: 
   A Stateful Path Computation Element (PCE) maintains information on
   the current network state, including: computed Label Switched Path
   (LSPs), reserved resources within the network, and pending path
   computation requests. This information may then be considered when
   computing new traffic engineered LSPs, and for associated
   and dependent LSPs, received from Path Computation Clients (PCCs).
NEW:
   A Stateful Path Computation Element (PCE) maintains information on
   the current network state, including: computed Label Switched Path
   (LSPs), reserved resources within the network, and pending path
   computation requests. This information may then be considered when
   computing new traffic engineered LSPs, and for associated
   and dependent LSPs, received from Path Computation Clients (PCCs). 
   Initialize the result of path computation from PCE is also helpful for 
   the PCC to gracefully establish the computed LSP. 

- As mentioned in IETF 104 PCE WG session (draft-ietf-pce-enhanced-errors), error handling issues need to be mentioned for inter-pce works, and this work exactly fits into the scope. It is suggested to add one small section about this. How about the following? 

7.7.  Error Handling between PCEs
Error types specified in PCEP should be properly propagate between parent and child PCEs. The propagation, notification and criticality level defined in [I-D. ietf-pce-enhanced-errors] are recommended. 

- The idnits report an unused reference 'pcep-yang', probably because of the line in section 7.2 for citation is not properly broken in the middle. Editing will be helpful to fix it. 

We are looking forward to see the improvement after the WG LC, thank you. 

Best wishes,
Haomian

-----邮件原件-----
发件人: Pce [mailto:[email-masked]] 代表 Adrian Farrel
发送时间: 2019年3月14日 6:01
收件人: [email-masked]
主题: [Pce] Working Group last call on draft-ietf-pce-stateful-hpce-06

Hi working group,

This email starts a working group last call for draft-ietf-pce-stateful-hpce-06.

I would like to hear messages of support or concern about this draft.

If you support its progression towards publication as an RFC, please let us know that you have read the latest revision, and explain why you think the work is important. Indications of implementation would also be welcome - although this document is informational, I believe some people may have built stateful hierarchical PCEs for experimentation or deployment.

If you are opposed to the progression or have concerns please articulate them.

As always, review comments and nits are most welcome.

Because of the effort that is going in to preparing for IETF-104 and because of the time spent away, this last call will run for three weeks and end on April 4th.

Thanks,
Adrian

_______________________________________________
Pce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pce

---

From: Satish K <[email-masked]>
Date: Mon, 1 Apr 2019 14:10:13 +0530

Hi WG,

We have implemented H-PCE in our ACTN Solution and implemented few features
of it in IETF-97 Hackathon.
Also the E2E solution of ACTN using H-PCE is showcased during Bits-n-Bytes
as well.

So i am very much interested and looking forward to see this draft is
getting published.

Thanks & Regards,
Satish Karunanithi

On Thu, Mar 14, 2019 at 3:31 AM Adrian Farrel <[email-masked]> wrote:

> If you support its progression towards publication as an RFC, please let us
> know that you have read the latest revision, and explain why you think the
> work is important. Indications of implementation would also be welcome -
> although this document is informational, I believe some people may have
> built stateful hierarchical PCEs for experimentation or deployment.
>
> Because of the effort that is going in to preparing for IETF-104 and
> because
> of the time spent away, this last call will run for three weeks and end on
> April 4th.
>
> Thanks,
> Adrian
>